Jump to content
Flirc Forums
thimk

skipping cursor

Recommended Posts

Bug? 

1st gen Flirc on Raspberry Pi 3. Bought 2014. Worked well on Pi 2. 

Now OSMC on PI 3. Flirc programmed on OSX 9,5 with Flirc v.1.4.4 (and its firmware). The latest v.3.1 crashes, even if it SHOULD work on OSX 9,5 and 10.

problem: Used on Kodi the cursor "runs" down lists (like Arrow down), or "skips" between choices on the home screen (like Tab) on its own. Then it stops. Interacting with the programmed remote OR a keyboard, starts the running and skipping again.

have tried pinning it down by exclusion, but no matter what else is attached to the Raspberry, if the flirc is present, the skipping begins like a nervous tick. 

Defect Flirc? 

Share this post


Link to post
Share on other sites

Can we rule out if it's OSMC?

Can you try downloading Kodi on your mac and seeing how it runs on that?

Share this post


Link to post
Share on other sites

Easy test:

Yes, by inserting Flirc dongle in USB-port randomly chosen line in Finder Window immediately began "running", even before I opened Kodi. Where everything began jumping between options on the frontpage. So, no, its not OSMC.

Maybe it's firmware - but like I said, unfortunately I cannot update to latest Firmware, because the latest Flirc app crashes on OSX 9 and 10 .

Edited by thimk

Share this post


Link to post
Share on other sites

Config file from where? Im on Mac OSX 9.5 and 10.11, or Raspeberry PI 3, OSMC.

Either way, please be precise, and I will do my best.

Edited by thimk

Share this post


Link to post
Share on other sites

Sorry for not being precise enough. I've meant Flirc config. There's an option in the GUI to save configuration.

Share this post


Link to post
Share on other sites

updates wont work, it's now only a 64 bit app. It was too hard to make a universal app and apple is officially not supporting them anymore making it increasingly difficult to compile 32 bit compatible apps.

Share this post


Link to post
Share on other sites

sure, but my trusty mac can runs 64 bit apps, so why does it crash?

And whats wrong with the flirc?

And how and where do I find the "save log" function, that I can it pass on to you? Library somewhere? Or ?

--

Can I find the downloaded update for flirc in a temp folder somewhere?

Edited by thimk

Share this post


Link to post
Share on other sites

I reset the flirc dongle two days ago for Kodi. But right now it does not show up in the app.

 

Even so everything in the front is skipping.

Edited by thimk

Share this post


Link to post
Share on other sites

You should have a File menu with Save Configuration option. It downloads a configuration from the Flirc and saves it to a file of your choosing. Please do so and attach the file here.

Share this post


Link to post
Share on other sites

Inserted the Flirc in OSX 9.5, the only Flirc app that does not crash here is 1.4.4 (- which may be lacking an update to 64bit?)

       - The 1.44 app can no longer see the Flirc (so I cannot save a config file from here - but it could not that either, when it COULD se the Flirc)

       - The flickering is all over the OS, when the Flirc is in either USB-port

Move Flirc to iMac w OSX 10.6

        - Latest app, v.3.1 can se the Flirc, and it is now updated to newest firmware,  3.9

        - The saved config-file is saved - my_flirc_config.fcfg

        - The Flirc with remote seems almost stable here

        - There is the occasional skip, when using the remote's up or down "arrow" - then it skips one line.

Move the Flirc to the raspberry Pi 3

        - Flickering makes Kodi unusable.

Where can I manually find the update shown in the image, which v 1.4.4 cannot itself update, because the old is 32bit and the new (1.4.4 3.1.0) is 64bit?

Skærmbillede 2017-11-18 kl. 13.32.54.jpg

 

EDIT: OR is the new Flirc1.4.4 3.1.0 mentioned in the screen shot similar to the 3.1.0 app-version, that worked on the iMac?

64bit SHOULD work on my MBP mid-2010, as seen in the screenshot here from Mactracker

5a10311eccc97_Skrmbillede2017-11-18kl_14_07.17kopi.thumb.jpg.e3ef277de789ca2b5afb7f8811412977.jpg

Edited by thimk

Share this post


Link to post
Share on other sites

Try loading the config from my attachment. You had two keys duplicated with strange IR hashes. Maybe you have some IR interference which got caught when you were doing the recording and then started causing skips. The two duplicated keys where down direction key and escape.

my_flirc_config2.fcfg

Share this post


Link to post
Share on other sites

thank you. Will try. 

But this has persisted over numerous recordings.

(And the remote works for other things)

Edited by thimk

Share this post


Link to post
Share on other sites

It's not the remote, but the recorded signals which are recorded noise. Give it a shot and try it again. Let us know.

Share this post


Link to post
Share on other sites

I DID reload your recording, and thank you for that.

It did not help, though. And the two buttons are still acting up. Looking at the screen it seems they pass on 2 signals instead of one. Which for some reason set off a chain reaction with the previous recording, but with your edited recording only makes flirc "skip one" - 1 down becomes 2, from home bar and one down it skips the addons and chooses the off switch. 

MUST be the remote.

I lost patience after that and recorded an Apple aluminium. This on the other hand responds sluggish, needing several presses (battery, I think), and the flirc 1st gen has the problem of not being able to record a long press, but it's better than getting up all the time. 

Do you stille want me to try recording the other remote?

--

And what about the 1.4.4 flirc app crashing on OSX 9.5?

Edited by thimk

Share this post


Link to post
Share on other sites

I don't know why the app is crashing on OSX 9.5, I can't even install it to try.

However, can you try running it with out the flirc present? Let's rule out that it's a problem with flirc + gui and not just the GUI.

Also, it's not worth pulling our hair out over this. Shoot me a PM, I'll replace yours with the new one.

Share this post


Link to post
Share on other sites

1.22 and 1.44 open on OSX9.5

the latest version not. 

replace my 1st gen with a new? That's extremely generous. But if you think it is not the remote, then thank you very much for this.

Anything else I can do?

Share this post


Link to post
Share on other sites
2 minutes ago, thimk said:

1.22 and 1.44 open on OSX9.5

the latest version not. 

replace my 1st gen with a new? That's extremely generous. But if you think it is not the remote, then thank you very much for this.

Anything else I can do?

Nah nothing you can really try. Honestly, I don't want to support the old version so much anymore as it's not time effective. It's just me, and Yawor is amazing, but is a volunteer.  We gave it a couple tries, not worth debugging any more beyond this. I'll still push a couple updates to the old one, but all the new features are coming to the new one.

Unplug all the hardware, and see if the GUI works/updates. If it doesn't work without any hardware, the GUI wont work with the new version of hardware. These are two separate issues though. I got your PM, I'll get you a replacement.

Share this post


Link to post
Share on other sites

Hi Jason, have received the new flirc, programmed it with 10.5 on iMac 2009, and flirc app 3 - and I can only say: It works like a DREAM!

Thank you very much for this. 

all the best,

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×